/* ************************************************************************

   Copyright 2003 por: Mauricio Oliveira Carneiro <carneiro@tecgraf.puc-rio.br>
                       Rodolfo Jardim de Azevedo <rjazevedo@iname.com>

   Ultima alteracao: 22 de outubro de 2003

   E' dada permissao para modificar e redistribuir esse programa desde que
   essa mensagem de copyright seja mantida.

   Esse programa deve ser distribuido segundo a GPL 2.0 ou superior

 ************************************************************************ */

#include <stdio.h>
#include <string.h>
#include "funcs.h"


main()
{
	char linha[10000];
	mystring pular1, pular2, pular3;
	unsigned iParticipante, iProblema;
	TSubmissao submissao; 

	LeArquivos();

	while (LeLog(&submissao)) {
		if (HoraValida(submissao.hora, inicio, final)) {
			if ((iProblema = ProblemaValido(submissao.problema)) != -1) {
				if ((!strcmp(submissao.resultado, "Compiling"))  ||
						 (!strcmp(submissao.resultado, "Received")) ||
						(!strcmp(submissao.resultado, "Waiting")) ||
						(!strcmp(submissao.resultado, "Running"))) {
					continue;
				}

				if ((iParticipante = ParticipanteValido(submissao.id)) != -1)
					if (!participantes[iParticipante].aceito[iProblema]) {

						printf("%s %s %5s %s %s %s\n", submissao.numero, submissao.hora, submissao.id, submissao.resultado, submissao.resto);

						if (submissao.correta) {
							participantes[iParticipante].aceito[iProblema] = 1;
							StringToMinutos(&participantes[iParticipante].hora[iProblema], submissao.hora);
						}
					}
			}
		}
	}
}

